#! /usr/bin/python
# UCC Door Server - client which outputs JSON
# David Adam <zanchey@ucc.gu.uwa.edu.au>
# Released under an MIT-style license; see COPYING for details.

import dbus

if __name__ == '__main__':
    
    # get on the bus
    system_bus = dbus.SystemBus()
    
    doors = ('uccdoor', 'unisfadoor', 'chdoor', 'mrdoor', 'uccpir')
    
    objects = (system_bus.get_object('au.asn.ucc.DoorServer', '/au/asn/ucc/doors/%s' % door)
            for door in doors)
    statuses = (remote_object.get_status(dbus_interface='au.asn.ucc.DoorInterface')
            for remote_object in objects)
    status_ints = (int(x) for x in statuses)
    
    print "Content-Type: text/json"
    print
    print dict(zip(doors, status_ints))
